package com.link.core.modules.export;

import com.link.core.modules.export.FileIndexGenarate;
import com.link.core.util.CoreYmlConstants;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class ExportTextFileWriter {

   private String filePath;
   private String urlPath;
   private static final Logger logger = LogManager.getLogger(ExportTextFileWriter.class);
   private static Random RANDOM = new Random();


   public String getUrlPath() {
      return this.urlPath;
   }

   public void setUrlPath(String urlPath) {
      this.urlPath = urlPath;
   }

   public String getFilePath() {
      return this.filePath;
   }

   public static void main(String[] args) {
   }

   public void initPath() {
      SimpleDateFormat dateFormatter = new SimpleDateFormat("yyyyMMdd");
      SimpleDateFormat datetimeFormatter = new SimpleDateFormat("yyyyMMddHHmmsss");
      String temppath = "/export/" + dateFormatter.format(new Date()) + "/";
      String relatePath = temppath + datetimeFormatter.format(new Date()) + "_" + FileIndexGenarate.getFileIndex(new Date()) + "_" + RANDOM.nextInt(100) + ".txt";
      File file = new File(CoreYmlConstants.getTemporaryIOFileDir() + temppath);
      if(!file.exists() && !file.isDirectory()) {
         file.mkdirs();
      }

      this.setFilePath(CoreYmlConstants.getTemporaryIOFileDir() + relatePath);
      this.setUrlPath(CoreYmlConstants.getTemporaryIOUrlDir() + relatePath);
   }

   public void setFilePath(String filePath) {
      this.filePath = filePath;
   }

   public void writeText2(String txt) {
      this.initPath();
      OutputStreamWriter osw = null;

      try {
         osw = new OutputStreamWriter(new FileOutputStream(this.filePath, true), "UTF-8");
         osw.write(txt);
         osw.flush();
      } catch (UnsupportedEncodingException var16) {
         logger.error("ExportTextFileWriter捕获异常: ", var16);
      } catch (FileNotFoundException var17) {
         logger.error("ExportTextFileWriter捕获异常: ", var17);
      } catch (IOException var18) {
         logger.error("ExportTextFileWriter捕获异常: ", var18);
      } finally {
         try {
            if(osw != null) {
               osw.close();
            }
         } catch (IOException var15) {
            logger.error("ExportTextFileWriter捕获异常: ", var15);
         }

      }

      osw = null;
   }

   public void writeText(String txt) {
      this.initPath();

      try {
         java.io.FileWriter e = new java.io.FileWriter(this.filePath);
         Throwable var3 = null;

         try {
            e.write(txt);
         } catch (Throwable var13) {
            var3 = var13;
            throw var13;
         } finally {
            if(e != null) {
               if(var3 != null) {
                  try {
                     e.close();
                  } catch (Throwable var12) {
                     var3.addSuppressed(var12);
                  }
               } else {
                  e.close();
               }
            }

         }
      } catch (IOException var15) {
         logger.error("ExportTextFileWriter捕获异常: ", var15);
      }

   }

}
